﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.Generic;

namespace DatePickerInGridView
{
	public class ViewModel : ViewModelBase
	{
		private List<Item> _Items;
		public List<Item> Items
		{
			get
			{
				return this._Items;
			}
			set
			{
				if (value != this._Items)
				{
					this._Items = value;
					this.OnPropertyChanged(() => this.Items);
				}
			}
		}

		public ViewModel()
		{
			this.Items = new List<Item>()
			{
				new Item(){ Name = "Item 1", Date = DateTime.Now},
				new Item(){ Name = "Item 2", Date = DateTime.Now.AddHours(1)},
				new Item(){ Name = "Item 3", Date = DateTime.Now.AddHours(2)},
				new Item(){ Name = "Item 4", Date = DateTime.Now.AddHours(3)},
				new Item(){ Name = "Item 5", Date = DateTime.Now.AddHours(4)},
				new Item(){ Name = "Item 6", Date = DateTime.Now.AddHours(5)},
			};
		}
	}
}
